Package com.castlabs.android.player

# Class VideoFilterConfiguration

java.lang.Object
com.castlabs.android.player.VideoFilterConfiguration

All Implemented Interfaces:
  `Parcelable`

public final class VideoFilterConfiguration extends Object implements Parcelable
Configuration for filtering video renditions.

This configuration allows specifying various criteria to filter video renditions, such as resolution, bitrate, pixel count, and framerate. It also provides an option to filter renditions based on the display viewport.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `VideoFilterConfiguration.Builder`
  `VideoFilterConfiguration` builder static inner class.

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `Parcelable.ClassLoaderCreator<T>, Parcelable.Creator<T>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Parcelable.Creator<VideoFilterConfiguration>`
  `CREATOR`
  Creator for `VideoFilterConfiguration` from a `Parcel`.
  `static final boolean`
  `DEFAULT_ENABLE_VIEWPORT_FILTER`
  Default value for enabling viewport-based filtering.
  `static final long`
  `DEFAULT_MAX_BITRATE`
  Default maximum bitrate of the rendition in bits per second.
  `static final float`
  `DEFAULT_MAX_FRAMERATE`
  Default maximum framerate of the rendition.
  `static final int`
  `DEFAULT_MAX_HEIGHT`
  Default maximum height of the rendition in pixels.
  `static final long`
  `DEFAULT_MAX_PIXEL`
  Default maximum number of pixels (width * height) of the rendition.
  `static final int`
  `DEFAULT_MAX_WIDTH`
  Default maximum width of the rendition in pixels.
  `static final long`
  `DEFAULT_MIN_BITRATE`
  Default minimum bitrate of the rendition in bits per second.
  `static final float`
  `DEFAULT_MIN_FRAMERATE`
  Default minimum framerate of the rendition.
  `static final int`
  `DEFAULT_MIN_HEIGHT`
  Default minimum height of the rendition in pixels.
  `static final long`
  `DEFAULT_MIN_PIXEL`
  Default minimum number of pixels (width * height) of the rendition.
  `static final int`
  `DEFAULT_MIN_WIDTH`
  Default minimum width of the rendition in pixels.
  `final boolean`
  `enableViewportFilter`
  Enable to filter out renditions having unnecessarily high resolution for the current display viewport.
  `final long`
  `maxBitrate`
  Max bitrate of the rendition in bits per second In case rendition's bitrate is not specified in the manifest then the filtering is not enabled
  `final float`
  `maxFramerate`
  Max framerate of the rendition In case rendition's framerate is not specified in the manifest then the filtering is not enabled
  `final int`
  `maxHeight`
  Max height of the rendition in pixels, ignored if `enableViewportFilter` is set.
  `final long`
  `maxPixel`
  Max number of pixels (width * height) of the rendition In case rendition's resolution is not specified in the manifest then the filtering is not enabled
  `final int`
  `maxWidth`
  Max width of the rendition in pixels, ignored if `enableViewportFilter` is set.
  `final long`
  `minBitrate`
  Min bitrate of the rendition in bits per second In case rendition's bitrate is not specified in the manifest then the filtering is not enabled
  `final float`
  `minFramerate`
  Min framerate of the rendition In case rendition's framerate is not specified in the manifest then the filtering is not enabled
  `final int`
  `minHeight`
  Min height of the rendition in pixels In case rendition's height is not specified in the manifest then the filtering is not enabled
  `final long`
  `minPixel`
  Min number of pixels (width * height) of the rendition In case rendition's resolution is not specified in the manifest then the filtering is not enabled
  `final int`
  `minWidth`
  Min width of the rendition in pixels

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `boolean`
  `equals(Object obj)`
  `void`
  `writeToParcel(Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_MAX_WIDTH

    public static final int DEFAULT_MAX_WIDTH
    Default maximum width of the rendition in pixels.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MIN_WIDTH

    public static final int DEFAULT_MIN_WIDTH
    Default minimum width of the rendition in pixels.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_HEIGHT

    public static final int DEFAULT_MAX_HEIGHT
    Default maximum height of the rendition in pixels.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MIN_HEIGHT

    public static final int DEFAULT_MIN_HEIGHT
    Default minimum height of the rendition in pixels.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_BITRATE

    public static final long DEFAULT_MAX_BITRATE
    Default maximum bitrate of the rendition in bits per second.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MIN_BITRATE

    public static final long DEFAULT_MIN_BITRATE
    Default minimum bitrate of the rendition in bits per second.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_PIXEL

    public static final long DEFAULT_MAX_PIXEL
    Default maximum number of pixels (width * height) of the rendition.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MIN_PIXEL

    public static final long DEFAULT_MIN_PIXEL
    Default minimum number of pixels (width * height) of the rendition.
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_VIEWPORT_FILTER

    public static final boolean DEFAULT_ENABLE_VIEWPORT_FILTER
    Default value for enabling viewport-based filtering.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_FRAMERATE

    public static final float DEFAULT_MAX_FRAMERATE
    Default maximum framerate of the rendition.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MIN_FRAMERATE

    public static final float DEFAULT_MIN_FRAMERATE
    Default minimum framerate of the rendition.
    See Also:
      - Constant Field Values

  - ### maxWidth

    public final int maxWidth
    Max width of the rendition in pixels, ignored if `enableViewportFilter` is set. In case rendition's width is not specified in the manifest then the filtering is not enabled

  - ### minWidth

    public final int minWidth
    Min width of the rendition in pixels

  - ### maxHeight

    public final int maxHeight
    Max height of the rendition in pixels, ignored if `enableViewportFilter` is set. In case rendition's height is not specified in the manifest then the filtering is not enabled

  - ### minHeight

    public final int minHeight
    Min height of the rendition in pixels In case rendition's height is not specified in the manifest then the filtering is not enabled

  - ### maxBitrate

    public final long maxBitrate
    Max bitrate of the rendition in bits per second In case rendition's bitrate is not specified in the manifest then the filtering is not enabled

  - ### minBitrate

    public final long minBitrate
    Min bitrate of the rendition in bits per second In case rendition's bitrate is not specified in the manifest then the filtering is not enabled

  - ### maxPixel

    public final long maxPixel
    Max number of pixels (width * height) of the rendition In case rendition's resolution is not specified in the manifest then the filtering is not enabled

  - ### minPixel

    public final long minPixel
    Min number of pixels (width * height) of the rendition In case rendition's resolution is not specified in the manifest then the filtering is not enabled

  - ### enableViewportFilter

    public final boolean enableViewportFilter
    Enable to filter out renditions having unnecessarily high resolution for the current display viewport. If set then `maxWidth` and `maxHeight` are ignored

  - ### maxFramerate

    public final float maxFramerate
    Max framerate of the rendition In case rendition's framerate is not specified in the manifest then the filtering is not enabled

  - ### minFramerate

    public final float minFramerate
    Min framerate of the rendition In case rendition's framerate is not specified in the manifest then the filtering is not enabled

  - ### CREATOR

    public static final Parcelable.Creator<VideoFilterConfiguration> CREATOR
    Creator for `VideoFilterConfiguration` from a `Parcel`.

- ## Method Details

  - ### writeToParcel

    public void writeToParcel(Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `Parcelable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `Parcelable`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`